<html>
<head>
<title>OGRE: OgreBillboardParticleRenderer.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreBillboardParticleRenderer.h</h1><a href="OgreBillboardParticleRenderer_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE </span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under </span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software </span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later </span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT </span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS </span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with </span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple </span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to </span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __BillboardParticleRenderer_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __BillboardParticleRenderer_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="OgreParticleSystemRenderer_8h.html">OgreParticleSystemRenderer.h</a>"</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include "<a class="code" href="OgreBillboardSet_8h.html">OgreBillboardSet.h</a>"</span>
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="keyword">namespace </span>Ogre {
<a name="l00037"></a>00037 
<a name="l00045"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html">00045</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer.html" title="Specialisation of ParticleSystemRenderer to render particles using a BillboardSet...">BillboardParticleRenderer</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which...">ParticleSystemRenderer</a>
<a name="l00046"></a>00046     {
<a name="l00047"></a>00047     <span class="keyword">protected</span>:
<a name="l00049"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#1ee681870bd8a84070283f245715dd66">00049</a>         <a class="code" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with...">BillboardSet</a>* mBillboardSet;
<a name="l00050"></a>00050     <span class="keyword">public</span>:
<a name="l00051"></a>00051         <a class="code" href="classOgre_1_1BillboardParticleRenderer.html" title="Specialisation of ParticleSystemRenderer to render particles using a BillboardSet...">BillboardParticleRenderer</a>();
<a name="l00052"></a>00052         ~<a class="code" href="classOgre_1_1BillboardParticleRenderer.html" title="Specialisation of ParticleSystemRenderer to render particles using a BillboardSet...">BillboardParticleRenderer</a>();
<a name="l00053"></a>00053 
<a name="l00055"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardType.html">00055</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardType.html" title="Command object for billboard type (see ParamCommand).">CmdBillboardType</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00056"></a>00056         {
<a name="l00057"></a>00057         <span class="keyword">public</span>:
<a name="l00058"></a>00058             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00059"></a>00059             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00060"></a>00060         };
<a name="l00062"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardOrigin.html">00062</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardOrigin.html" title="Command object for billboard origin (see ParamCommand).">CmdBillboardOrigin</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00063"></a>00063         {
<a name="l00064"></a>00064         <span class="keyword">public</span>:
<a name="l00065"></a>00065             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00066"></a>00066             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00067"></a>00067         };
<a name="l00069"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardRotationType.html">00069</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardRotationType.html" title="Command object for billboard rotation type (see ParamCommand).">CmdBillboardRotationType</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00070"></a>00070         {
<a name="l00071"></a>00071         <span class="keyword">public</span>:
<a name="l00072"></a>00072             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00073"></a>00073             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00074"></a>00074         };
<a name="l00076"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonDirection.html">00076</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonDirection.html" title="Command object for common direction (see ParamCommand).">CmdCommonDirection</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00077"></a>00077         {
<a name="l00078"></a>00078         <span class="keyword">public</span>:
<a name="l00079"></a>00079             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00080"></a>00080             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00081"></a>00081         };
<a name="l00083"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonUpVector.html">00083</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonUpVector.html" title="Command object for common up-vector (see ParamCommand).">CmdCommonUpVector</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00084"></a>00084         {
<a name="l00085"></a>00085         <span class="keyword">public</span>:
<a name="l00086"></a>00086             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00087"></a>00087             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00088"></a>00088         };
<a name="l00090"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdPointRendering.html">00090</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdPointRendering.html" title="Command object for point rendering (see ParamCommand).">CmdPointRendering</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00091"></a>00091         {
<a name="l00092"></a>00092         <span class="keyword">public</span>:
<a name="l00093"></a>00093             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00094"></a>00094             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00095"></a>00095         };
<a name="l00097"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdAccurateFacing.html">00097</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdAccurateFacing.html" title="Command object for accurate facing(see ParamCommand).">CmdAccurateFacing</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00098"></a>00098         {
<a name="l00099"></a>00099         <span class="keyword">public</span>:
<a name="l00100"></a>00100             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00101"></a>00101             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00102"></a>00102         };
<a name="l00103"></a>00103 
<a name="l00114"></a>00114         <span class="keywordtype">void</span> setBillboardType(<a class="code" href="namespaceOgre.html#8a7bd8c019e0d8e7049e855847af2a1c" title="The type of billboard to use.">BillboardType</a> bbt);
<a name="l00115"></a>00115 
<a name="l00117"></a>00117         <a class="code" href="namespaceOgre.html#8a7bd8c019e0d8e7049e855847af2a1c" title="The type of billboard to use.">BillboardType</a> getBillboardType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00118"></a>00118 
<a name="l00120"></a>00120         <span class="keywordtype">void</span> setUseAccurateFacing(<span class="keywordtype">bool</span> acc);
<a name="l00122"></a>00122         <span class="keywordtype">bool</span> getUseAccurateFacing(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00123"></a>00123 
<a name="l00135"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#efc6f76117519469b8bc5715966bfe9e">00135</a>         <span class="keywordtype">void</span> setBillboardOrigin(<a class="code" href="namespaceOgre.html#37abc46b1f74f855e13334aa44f4ec5e" title="Enum covering what exactly a billboard&amp;#39;s position means (center, top-left etc)...">BillboardOrigin</a> origin) { mBillboardSet-&gt;setBillboardOrigin(origin); }
<a name="l00136"></a>00136 
<a name="l00141"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#976c74301b89b2d2ff9316986cedd149">00141</a>         <a class="code" href="namespaceOgre.html#37abc46b1f74f855e13334aa44f4ec5e" title="Enum covering what exactly a billboard&amp;#39;s position means (center, top-left etc)...">BillboardOrigin</a> getBillboardOrigin(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mBillboardSet-&gt;getBillboardOrigin(); }
<a name="l00142"></a>00142 
<a name="l00152"></a>00152         <span class="keywordtype">void</span> setBillboardRotationType(<a class="code" href="namespaceOgre.html#4f3a37a5b62f0a2ddda53f789e736cbd" title="The rotation type of billboard.">BillboardRotationType</a> rotationType);
<a name="l00153"></a>00153 
<a name="l00158"></a>00158         <a class="code" href="namespaceOgre.html#4f3a37a5b62f0a2ddda53f789e736cbd" title="The rotation type of billboard.">BillboardRotationType</a> getBillboardRotationType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00159"></a>00159 
<a name="l00167"></a>00167         <span class="keywordtype">void</span> setCommonDirection(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; vec);
<a name="l00168"></a>00168 
<a name="l00170"></a>00170         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; getCommonDirection(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00171"></a>00171 
<a name="l00181"></a>00181         <span class="keywordtype">void</span> setCommonUpVector(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; vec);
<a name="l00182"></a>00182 
<a name="l00184"></a>00184         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; getCommonUpVector(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00185"></a>00185 
<a name="l00187"></a>00187         <span class="keywordtype">void</span> setPointRenderingEnabled(<span class="keywordtype">bool</span> enabled);
<a name="l00188"></a>00188 
<a name="l00190"></a>00190         <span class="keywordtype">bool</span> isPointRenderingEnabled(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00191"></a>00191 
<a name="l00192"></a>00192 
<a name="l00193"></a>00193 
<a name="l00195"></a>00195         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00197"></a>00197         <span class="keywordtype">void</span> _updateRenderQueue(<a class="code" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a>* queue, 
<a name="l00198"></a>00198             std::list&lt;Particle*&gt;&amp; currentParticles, <span class="keywordtype">bool</span> cullIndividually);
<a name="l00200"></a>00200         <span class="keywordtype">void</span> _setMaterial(<a class="code" href="classOgre_1_1MaterialPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr.">MaterialPtr</a>&amp; mat);
<a name="l00202"></a>00202         <span class="keywordtype">void</span> _notifyCurrentCamera(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam);
<a name="l00204"></a>00204         <span class="keywordtype">void</span> _notifyParticleRotated(<span class="keywordtype">void</span>);
<a name="l00206"></a>00206         <span class="keywordtype">void</span> _notifyParticleResized(<span class="keywordtype">void</span>);
<a name="l00208"></a>00208         <span class="keywordtype">void</span> _notifyParticleQuota(<span class="keywordtype">size_t</span> quota);
<a name="l00210"></a>00210         <span class="keywordtype">void</span> _notifyAttached(<a class="code" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a>* parent, <span class="keywordtype">bool</span> isTagPoint = <span class="keyword">false</span>);
<a name="l00212"></a>00212         <span class="keywordtype">void</span> _notifyDefaultDimensions(<a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> width, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> height);
<a name="l00214"></a>00214         <span class="keywordtype">void</span> setRenderQueueGroup(<a class="code" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> queueID);
<a name="l00216"></a>00216         <span class="keywordtype">void</span> setKeepParticlesInLocalSpace(<span class="keywordtype">bool</span> keepLocal);
<a name="l00218"></a>00218         <a class="code" href="namespaceOgre.html#73dc0089e326fa37f93a30bf67ba7e3a" title="Sort mode for billboard-set and particle-system.">SortMode</a> _getSortMode(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00219"></a>00219 
<a name="l00221"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#54f74153a915180ffcc574150dcd1e46">00221</a>         <a class="code" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with...">BillboardSet</a>* getBillboardSet(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mBillboardSet; }
<a name="l00222"></a>00222 
<a name="l00223"></a>00223     <span class="keyword">protected</span>:
<a name="l00224"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#111817e7b27856d379a794939a0c221f">00224</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardType.html" title="Command object for billboard type (see ParamCommand).">CmdBillboardType</a> msBillboardTypeCmd;
<a name="l00225"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#3f34e651e2629bbc81e0c4e89ef7d29a">00225</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardOrigin.html" title="Command object for billboard origin (see ParamCommand).">CmdBillboardOrigin</a> msBillboardOriginCmd;
<a name="l00226"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#b3fe43c36893481bd6df52b522fce463">00226</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardRotationType.html" title="Command object for billboard rotation type (see ParamCommand).">CmdBillboardRotationType</a> msBillboardRotationTypeCmd;
<a name="l00227"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#cb7ba751151048add4ea93742fae9a37">00227</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonDirection.html" title="Command object for common direction (see ParamCommand).">CmdCommonDirection</a> msCommonDirectionCmd;
<a name="l00228"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#f74992decab85a7ea085ccc0a85e8c96">00228</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonUpVector.html" title="Command object for common up-vector (see ParamCommand).">CmdCommonUpVector</a> msCommonUpVectorCmd;
<a name="l00229"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#2a3a974e0f0b92d9ab6a3cdda62e43fd">00229</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdPointRendering.html" title="Command object for point rendering (see ParamCommand).">CmdPointRendering</a> msPointRenderingCmd;
<a name="l00230"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#c192d21617d7dccc382ea48a1174419f">00230</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdAccurateFacing.html" title="Command object for accurate facing(see ParamCommand).">CmdAccurateFacing</a> msAccurateFacingCmd;
<a name="l00231"></a>00231 
<a name="l00232"></a>00232 
<a name="l00233"></a>00233     };
<a name="l00234"></a>00234 
<a name="l00236"></a><a class="code" href="classOgre_1_1BillboardParticleRendererFactory.html">00236</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1BillboardParticleRendererFactory.html" title="Factory class for BillboardParticleRenderer.">BillboardParticleRendererFactory</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParticleSystemRendererFactory.html" title="Abstract class definition of a factory object for ParticleSystemRenderer.">ParticleSystemRendererFactory</a>
<a name="l00237"></a>00237     {
<a name="l00238"></a>00238     <span class="keyword">public</span>:
<a name="l00240"></a>00240         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getType() <span class="keyword">const</span>;
<a name="l00242"></a>00242         <a class="code" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which...">ParticleSystemRenderer</a>* createInstance( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name );    
<a name="l00244"></a>00244         <span class="keywordtype">void</span> destroyInstance( <a class="code" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which...">ParticleSystemRenderer</a>* inst);    
<a name="l00245"></a>00245     };
<a name="l00246"></a>00246 
<a name="l00247"></a>00247 }
<a name="l00248"></a>00248 
<a name="l00249"></a>00249 <span class="preprocessor">#endif</span>
<a name="l00250"></a>00250 <span class="preprocessor"></span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:49 2008
</p>
</body>
</html>
